#ifndef __UTILITY_H__
#define __UTILITY_H__

#include <string>
#include <QStringList>

void touch(const char *fname);
void wakeup_android();

void go_home();
void to_front(const char *app);
void to_front_background(const char *app);
bool to_front_still_processing();
void find_running_processes();
void start_running_process();
void start_app(const char *appandactivity);
void stop_app(const char *appandactivity);
bool is_blacklisted(std::string app);
std::string get_app_name(char *layer_name);
void block_input(int display_id,bool isblock);
void resize_window(int display_id,int h);
uint64_t get_current_time_mcs();

extern QStringList proc;
extern int proc_nb;

#endif

